Package ru.bitel.bgbilling.modules.bvcom.common.bean

# Class Transaction

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.common.bean.BGAbstractTransaction
ru.bitel.bgbilling.modules.bvcom.common.bean.Transaction

All Implemented Interfaces:
  `Serializable`, `ContractIdable`, `Idable`

public class Transaction extends BGAbstractTransaction

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `Transaction.Builder`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `FILTER_PAYMENT_ACCEPT`
  `static final int`
  `FILTER_PAYMENT_REJECT`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Transaction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Transaction.Builder`
  `builder()`
  `String`
  `getBvcomOrderId()`
  `void`
  `setBvcomOrderId(String bvcomOrderId)`

  ### Methods inherited from class ru.bitel.bgbilling.common.bean.BGAbstractTransaction

  `getCardholderName, getContractComment, getContractId, getContractTitle, getCreateDate, getPan, getParameter, getParameters, getPaymentId, getStatus, getSum, getTransactionDate, getTransactionId, getTransactionType, isAutopayment, setAutopayment, setContractComment, setContractId, setContractTitle, setCreateDate, setParameters, setPaymentId, setStatus, setSum, setTransactionDate, setTransactionId, setTransactionType, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### FILTER_PAYMENT_ACCEPT

    public static final int FILTER_PAYMENT_ACCEPT
    See Also:
      - Constant Field Values

  - ### FILTER_PAYMENT_REJECT

    public static final int FILTER_PAYMENT_REJECT
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Transaction

    public Transaction()

- ## Method Details

  - ### setBvcomOrderId

    public void setBvcomOrderId(String bvcomOrderId)

  - ### getBvcomOrderId

    public String getBvcomOrderId()

  - ### builder

    public static Transaction.Builder builder()